<?php

session_start();

error_reporting(0);

echo '
<!DOCTYPE html>
<html lang="en">
  <head>
     <meta name="Your Form - Formbuilder">
    <!-- Open Graph Meta-->
    <meta property="og:type" content="website">
    <meta property="og:site_name" content="Your Form">
    <meta property="og:title" content="Your Form - Formbuilder">
    <meta property="og:description" content="Your Form - a tool for modular forms building and forms admin">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Main CSS-->
    <link rel="stylesheet" type="text/css" href="css/main.css">
    <!-- Font-icon css-->
    <link rel="stylesheet" type="text/css" href="core/font-awesome-4.7.0/css/font-awesome.min.css">
	<link rel="icon" href="core/img/favicon.png" type="image/png" />
    <title>YOUR FORM - Form Builder</title>
	
	  <link rel="stylesheet" href="core/css/style.css">
	
	<link rel="stylesheet" href="core/css/font-awesome.min.css">
	
    <script type="text/javascript" src="core/js/jquery-3.3.1.min.js"></script> 

    <link rel="stylesheet" href="core/bootstrap-3.1.1/dist/css/bootstrap.min.css" />

    <script type="text/javascript" src="core/bootstrap-3.1.1/dist/js/bootstrap.min.js"></script>

    <!-- include summernote css/js-->

    <link href="core/summernote-0.8.8/dist/summernote.css" rel="stylesheet">

    <script src="core/js/summernote.js" ></script>
	
  </head>
  <body class="app sidebar-mini">
    <!-- Navbar-->
    <header class="app-header"><a class="app-header__logo" href="dashboard"><img src="core/img/logo_yourform.png"></a>
       <!-- Navbar Right Menu-->
      <ul class="app-nav">
        <li class="app-search">
          <input class="app-search__input" type="search" placeholder="Search">
          <button class="app-search__button"><i class="fa fa-search"></i></button>
        </li>';

$date = date('d/m/Y');

$account = $_SESSION["account"];
$user_db_id = $_SESSION["user_db_id"];

$_SESSION["account"] = $account;
$_SESSION["user_db_id"] = $user_db_id;

$form_data = isset($_SESSION["form_data"]) ? $_SESSION["form_data"] : FALSE;
unset($_SESSION["form_data"]);

if( !$form_data ) {
	header( 'Location: /' ) ;
}

include 'connect-db.php';

$content = json_decode($form_data, true);
$filename = $content["title"];

$_SESSION["filename"] = $filename;
$_SESSION["domainname"] = $domainname;

// sql to create table 

if (!empty($user_db_id) and !empty($filename)){
$sql_create_fieldtable = 'CREATE TABLE `EN_'.$user_db_id.'_'.$filename.'` (
id INT(6) UNSIGNED AUTO_INCREMENT PRIMARY KEY, 
field VARCHAR(2000) NOT NULL,
label VARCHAR(2000) NOT NULL,
md5 VARCHAR(2000) NOT NULL,
value VARCHAR(2000) NOT NULL,
score VARCHAR(2000) NOT NULL
)';
$mysqli->query($sql_create_fieldtable);
}

if (!empty($user_db_id) and !empty($filename)){
$sql_create_chartstable = 'CREATE TABLE `EN_'.$user_db_id.'_'.$filename.'_users_charts` (
id INT(6) UNSIGNED AUTO_INCREMENT PRIMARY KEY, 
field VARCHAR(2000) NOT NULL,
label VARCHAR(2000) NOT NULL,
md5 VARCHAR(2000) NOT NULL,
chart_url VARCHAR(2000) NOT NULL,
chart_print VARCHAR(2000) NOT NULL
)';
$mysqli->query($sql_create_chartstable);
}

if (!empty($user_db_id)){
$sql_create_formlist = 'CREATE TABLE `EN_'.$user_db_id.'_Formlist` (
id INT(6) UNSIGNED AUTO_INCREMENT PRIMARY KEY, 
form_name VARCHAR(2000) NOT NULL,
form_user VARCHAR(2000) NOT NULL,
form_user_charts VARCHAR(2000) NOT NULL,
form_url VARCHAR(2000) NOT NULL,
form_json VARCHAR(2000) NOT NULL,
date VARCHAR(100) NOT NULL,
csv VARCHAR(2000) NOT NULL,
users_print VARCHAR(2000) NOT NULL
)';
$mysqli->query($sql_create_formlist);
}

mkdir('forms/'.$user_db_id.'/'.$user_db_id.'/uploads/'.$filename.'',0777);

mkdir('forms/'.$user_db_id.'/'.$user_db_id.'/'.$filename.'',0777); 

mkdir('forms/'.$user_db_id.'/'.$user_db_id.'/'.$filename.'/form',0777);  


$max_id = 'SELECT MAX(id) FROM `EN_'.$user_db_id.'_Formlist`';
$login_max = $mysqli->query($max_id);
$result_max = $login_max->fetch_array(MYSQLI_NUM);
$highest_id = $result_max[0];

$formlist = 'SELECT form_name FROM `EN_'.$user_db_id.'_Formlist` WHERE id="'.$highest_id.'"';
$login_list = $mysqli->query($formlist);
$row_list = $login_list->fetch_array(MYSQLI_ASSOC);
$formlist_user = $row_list["form_name"];

$form_user = "".$formlist_user."_users"; 
$form_charts = "".$formlist_user."_users_charts";

$form_url = 'forms/'.$user_db_id.'/'.$filename.'';
$form_json = 'forms/'.$user_db_id.'/'.$user_db_id.'/'.$filename.'/form/autosave.php';

$select_form_name = 'SELECT form_name FROM `EN_'.$user_db_id.'_Formlist` WHERE form_name="'.$filename.'"';
$result_form_name = $mysqli->query($select_form_name);
$row_name = $result_form_name->fetch_array(MYSQLI_ASSOC);
$user_form_name = $row_name["form_name"];

$_SESSION["user_form_name"] = $user_form_name;


if ($filename !== $user_form_name) {
	
$sql_insert = 'INSERT INTO `EN_'.$user_db_id.'_Formlist`(form_name, form_url, form_json, date) VALUES ("'.$filename.'", "'.$form_url.'", "'.$form_json.'", "'.$date.'")';
$mysqli->query($sql_insert);

}

$form_content = '<?php session_start(); $_SESSION["filename"] = "'.$filename.'"; ?>';  

require 'formSaver.php';

$loader = new formLoader($form_data, 'submit');

if ($filename !== $user_form_name) {
	
$file_json = fopen($form_json, "w");
echo fwrite($file_json, $form_content);
echo fwrite($file_json, $form_data);
fclose($file_json);

}

echo '

		<a class="app-sidebar__toggle" href="#" data-toggle="sidebar"> '.$_SESSION["first_name"].'@</a><!--Notification Menu-->
        <li class="dropdown"><a class="app-nav__item" href="#" data-toggle="dropdown"><i class="fa fa-bell-o fa-lg"></i></a>
          <ul class="app-notification dropdown-menu dropdown-menu-right">
            <li class="app-notification__title">You have new notifications.</li>
            <div class="app-notification__content">
			<li><a class="app-notification__item" href="view"><span class="app-notification__icon"><span class="fa-stack fa-lg"><i class="fa fa-circle fa-stack-2x text-success"></i><i class="fa fa-wpforms fa-1x fa-stack-1x fa-inverse"></i></span></span>
                  <div>
                    <p class="app-notification__message">New form</p>
                  </div></a></li>    
              <li><a class="app-notification__item" href="forms/'.$user_db_id.'/'.$user_db_id.'/'.$formlist_user.'/'.$form_user.'"><span class="app-notification__icon"><span class="fa-stack fa-lg"><i class="fa fa-circle fa-stack-2x text-primary"></i><i class="fa  fa-address-card fa-1x fa-stack-1x fa-inverse"></i></span></span>
                  <div>
                    <p class="app-notification__message">New users</p>
                  </div></a></li>
              <li><a class="app-notification__item" href="forms/'.$user_db_id.'/'.$user_db_id.'/'.$formlist_user.'/'.$form_charts.'"><span class="app-notification__icon"><span class="fa-stack fa-lg"><i class="fa fa-circle fa-stack-2x text-danger"></i><i class="fa fa-bar-chart fa-1x fa-stack-1x fa-inverse"></i></span></span>
                  <div>
                    <p class="app-notification__message">New charts</p>
                  </div></a></li>
                               
            </div>
           </ul> 
        </li>
        <!-- User Menu-->
        <li class="dropdown"><a class="app-nav__item" href="#" data-toggle="dropdown"><i class="fa fa-user fa-lg"></i></a>
          <ul class="dropdown-menu settings-menu dropdown-menu-right">
		    <li><a class="dropdown-item" href="dashboard"><i class="fa fa-dashboard fa-lg"></i> Dashboard</a></li>
            <li><a class="dropdown-item" href="new_form"><i class="fa fa-edit fa-lg"></i> New Form</a></li>
			<li><a class="dropdown-item" href="view"><i class="fa fa-align-justify fa-lg"></i> Forms</a></li>
            <li><a class="dropdown-item" href="settings"><i class="fa fa-cog fa-lg"></i> Settings</a></li>
            <li><a class="dropdown-item" href="logout"><i class="fa fa-sign-out fa-lg"></i> Logout</a></li>
          </ul>
        </li>
      </ul>
    </header>
    <!-- Sidebar menu-->
    <div class="app-sidebar__overlay" data-toggle="sidebar"></div>
    <aside class="app-sidebar">
      
      <ul class="app-menu">
        <li><a class="app-menu__item" href="dashboard"><i class="app-menu__icon fa fa-dashboard"></i><span class="app-menu__label">Dashboard</span></a></li>
        <li><a class="app-menu__item" href="new_form"><i class="app-menu__icon fa fa-edit"></i><span class="app-menu__label">New Form</span></a></li>
        <li><a class="app-menu__item active" href="view"><i class="app-menu__icon fa fa-align-justify"></i><span class="app-menu__label">Forms</span></a></li>
		<li><a class="app-menu__item" href="settings"><i class="app-menu__icon fa fa-cogs"></i><span class="app-menu__label">Settings</span></a></li>
		
      </ul>
    </aside>
    <main class="app-content">
      <div class="app-title">
        <div>
          <h1>FORMS LIST</h1>
          <p>a tool for modular forms building and forms admin</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
          <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
          <li class="breadcrumb-item"><a href="#">FORMS LIST</a></li>
        </ul>
      </div>
	  


	<div>
		<div class="col-sm-6 col-sm-offset-3" style = "display:none">';
			if ($filename !== $user_form_name) { $loader->render_form(); }
echo '		</div>
		<div>

<font color="green">The form has been saved.</font>
<br><br><a href="'.$domainname.'/formbuilder/view"><font color="blue">Back to Formlist</font></a>

<br><br>

		</div>
		
	</div>
	</main>
</body>
<!-- The javascript plugin to display page loading on top-->
  <script src="js/plugins/pace.min.js"></script>
</html>';

?>